-- $Header:   //ARCHIVE/Archive/DB/sql/ResetRODMClasses.SQv   1.0   Feb 04 2001 13:50:18   BRENT  $
--
-- ResetRODMClasses.sql
--
-- The following SQL statements will completely wipe out all instance data for RODM related
-- classes in the database.

USE Object

DELETE FROM RODMManagedLink
DELETE FROM RODMManagedObject

SET NOCOUNT ON
DECLARE classc INSENSITIVE CURSOR FOR 
  SELECT oc.cid
  FROM obj_class AS oc JOIN isa_chain AS ic ON oc.cid = ic.cid
  WHERE ic.base_cid = 'RDMO' AND oc.flag_abstract = 0
OPEN classc
DECLARE @cid ClassID
FETCH NEXT FROM classc INTO @cid
WHILE @@FETCH_STATUS <> -1
BEGIN
  PRINT '--------------------------------------------------------------------------------'
  PRINT 'RESETTING CLASS ' + @cid
  PRINT '--------------------------------------------------------------------------------'
  EXEC asisp_resetclass @cid
  FETCH NEXT FROM classc INTO @cid
END
DEALLOCATE classc
SET NOCOUNT OFF

EXEC asisp_resetclass SNNT
